jif.types.hierarchy

## Class PrincipalHierarchy

- java.lang.Object
- - jif.types.hierarchy.PrincipalHierarchy

-     public class PrincipalHierarchy
      extends java.lang.Object

  The principal hierarchy that defines the acts-for relationships between principals.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrincipalHierarchy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `actsFor(Principal actor, Principal granter)`
    `protected boolean` | `actsFor(Principal actor, Principal granter, java.util.LinkedList<jif.types.hierarchy.PrincipalHierarchy.PrincipalPair> goalStack)`
    `java.lang.String` | `actsForString()`
    `void` | `add(Principal actor, Principal granter)`
    `void` | `clear()`
    `PrincipalHierarchy` | `copy()`
    `boolean` | `isEmpty()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrincipalHierarchy

          public PrincipalHierarchy()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### actsForString

          public java.lang.String actsForString()

    - #### isEmpty

          public boolean isEmpty()

    - #### add

          public void add(Principal actor,
                          Principal granter)

    - #### actsFor

          public boolean actsFor(Principal actor,
                                 Principal granter)

    - #### actsFor

          protected boolean actsFor(Principal actor,
                                    Principal granter,
                                    java.util.LinkedList<jif.types.hierarchy.PrincipalHierarchy.PrincipalPair> goalStack)

    - #### copy

          public PrincipalHierarchy copy()

    - #### clear

          public void clear()